package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "tb_lib_book_locking")
public class LibBookLocking extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	
	private Date createTime;
	private Date updateTime;
	/**
	 * tb_lib_book_info.id
	 */
	private String bookInfoId;
	/**
	 * tb_lib_book_detail.id
	 */
	private String bookDetailId;
	/**
	 * 书本isbn13
	 */
	private String isbn13;
	/**
	 * 调入馆
	 */
	private String inLibId;
	/**
	 * 调出馆
	 */
	private String outLibId;
	/**
	 * 1调出（从所属馆申请调出到总部共享馆）2调入（从总部共享馆申请调出到所属馆）
	 */
	private Integer type;
	/**
	 * 1加入，2锁定（不能删除），3已结束（已完成调度）
	 */
	private Integer stat;


	/**
	 * //调用书籍数目
	 */
	private Integer bookSize;


	/**
	 * //批次id，用于随机调书查阅记录
	 */
	private String batchId;
	@Column(name = "create_time",updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getBookInfoId() {
		return bookInfoId;
	}
	public void setBookInfoId(String bookInfoId) {
		this.bookInfoId = bookInfoId;
	}
	public String getBookDetailId() {
		return bookDetailId;
	}
	public void setBookDetailId(String bookDetailId) {
		this.bookDetailId = bookDetailId;
	}
	public String getIsbn13() {
		return isbn13;
	}
	public void setIsbn13(String isbn13) {
		this.isbn13 = isbn13;
	}
	
	public String getInLibId() {
		return inLibId;
	}
	public void setInLibId(String inLibId) {
		this.inLibId = inLibId;
	}
	public String getOutLibId() {
		return outLibId;
	}
	public void setOutLibId(String outLibId) {
		this.outLibId = outLibId;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getBookSize() {
		return bookSize;
	}

	public void setBookSize(Integer bookSize) {
		this.bookSize = bookSize;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}
}
